Opera en Ubuntu 20 Linux no se actualiza, cuando en el navegador Opera se utiliza la opción de comprobar actualizaciones, indica que está actualizado, siendo la versión actual la número 81, en el equipo está la 74. Entonces, queremos que se actualice de forma automática, cuando ejecutamos sudo apt update este es el resultado:

[email protected]:~$ sudo apt-get install opera-stable
Reading package lists… Done
Building dependency tree
Reading state information… Done
opera-stable is already the newest version (74.0.3911.107).

para asegurarse de que estamos en la configuración correcta, hay que actualizar el key del repositorio, tuve la idea de que algo cambió desde que la instalé, por el siguiente mensaje de error:

E: The repository 'https://deb.opera.com/opera-stable stable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Para actualizarla o instalarla por primera vez para automatizar sería:

$ wget -qO- https://deb.opera.com/archive.key | sudo apt-key add -

Una vez instalada añadimos el repositorio:

$ sudo add-apt-repository "deb [arch=i386,amd64] https://deb.opera.com/opera-stable/ stable non-free"
Opera Navegador

Luego hay que hacer un update para que se detecte el cambio y ya podremos instalarlo con los siguientes dos comandos:

$ sudo apt update
$ sudo apt install opera-stable

Uno de mis browsers favoritos, aunque desde que hizo el cambio al motor de chrome, perdió la característica de notas, y dejó de ser mi navegador principal 🙁 . La funcionalidad de Notas, se encuentra con exactamente la misma funcionalidad en el navegador Vivaldi.

Categorías: Linux

Admin

Becommerce.es es una colección de mis notas a título personal, use at your own risk.

2 comentarios

Paco Gomez · 17 de julio de 2022 a las 10:30

Con el siguiente comando se puede investigar las versiones que están generando la versión rota del programa.

sudo apt-get -o Debug::pkgProblemResolver=yes dist-upgrade

Luego paquete por paquete:
sudo aptitude install paquete

lo vi en https://askubuntu.com/questions/140246/how-do-i-resolve-unmet-dependencies-after-adding-a-ppa

    Paco Gomez · 17 de julio de 2022 a las 10:32

    sudo apt-get -o Debug::pkgProblemResolver=yes dist-upgrade
    Reading package lists… Done
    Building dependency tree… Done
    Reading state information… Done
    Starting pkgProblemResolver with broken count: 9
    Starting 2 pkgProblemResolver with broken count: 9
    Investigating (0) mysql-common:amd64
    Broken mysql-common:amd64 Conflicts on mysql-client-8.0:amd64 8.0.29-0ubuntu0.21.10.2 @un uN Ib >
    Considering mysql-client-8.0:amd64 -1 as a solution to mysql-common:amd64 14
    Added mysql-client-8.0:amd64 to the remove list
    Conflicts//Breaks against version 8.0.26-0ubuntu1 for mysql-client-8.0 but that is not InstVer, ignoring
    Broken mysql-common:amd64 Conflicts on mysql-client-core-8.0:amd64 8.0.29-0ubuntu0.21.10.2 @un uN Ib >
    Considering mysql-client-core-8.0:amd64 -3 as a solution to mysql-common:amd64 14
    Added mysql-client-core-8.0:amd64 to the remove list
    Conflicts//Breaks against version 8.0.26-0ubuntu1 for mysql-client-core-8.0 but that is not InstVer, ignoring
    Broken mysql-common:amd64 Conflicts on mysql-server-8.0:amd64 8.0.29-0ubuntu0.21.10.2 @rc uN Ib >
    Considering mysql-server-8.0:amd64 -2 as a solution to mysql-common:amd64 14
    Added mysql-server-8.0:amd64 to the remove list
    Conflicts//Breaks against version 8.0.28-0ubuntu0.20.04.3 for mysql-server-8.0 but that is not InstVer, ignoring
    Conflicts//Breaks against version 8.0.26-0ubuntu1 for mysql-server-8.0 but that is not InstVer, ignoring
    Broken mysql-common:amd64 Conflicts on mysql-server-core-8.0:amd64 8.0.29-0ubuntu0.21.10.2 @un uN Ib >
    Considering mysql-server-core-8.0:amd64 -3 as a solution to mysql-common:amd64 14
    Added mysql-server-core-8.0:amd64 to the remove list
    Conflicts//Breaks against version 8.0.26-0ubuntu1 for mysql-server-core-8.0 but that is not InstVer, ignoring
    Fixing mysql-common:amd64 via keep of mysql-client-8.0:amd64
    Fixing mysql-common:amd64 via keep of mysql-client-core-8.0:amd64
    Fixing mysql-common:amd64 via keep of mysql-server-8.0:amd64
    Fixing mysql-common:amd64 via keep of mysql-server-core-8.0:amd64
    Investigating (0) mysql-server:amd64 8.0.29-0ubuntu0.21.10.2 @ii umU Ib >
    Broken mysql-server:amd64 Depends on mysql-server-8.0:amd64
    Considering mysql-server-8.0:amd64 -2 as a solution to mysql-server:amd64 0
    Holding Back mysql-server:amd64 rather than change mysql-server-8.0:amd64
    Investigating (0) mysql-client:amd64 8.0.29-0ubuntu0.21.10.2 @ii umU Ib >
    Broken mysql-client:amd64 Depends on mysql-client-8.0:amd64
    Considering mysql-client-8.0:amd64 -1 as a solution to mysql-client:amd64 0
    Holding Back mysql-client:amd64 rather than change mysql-client-8.0:amd64
    Try to Re-Instate (1) mysql-server:amd64
    Try to Re-Instate (1) mysql-client:amd64
    Done
    Calculating upgrade… Done
    The following packages have been kept back:
    mysql-client mysql-server
    0 to upgrade, 0 to newly install, 0 to remove and 2 not to upgrade.

Deja una respuesta

Marcador de posición del avatar

Tu dirección de correo electrónico no será publicada.

Este sitio está protegido por reCAPTCHA y se aplican la política de privacidad y los términos de servicio de Google.